[Overview][Types][Classes][Index] | Reference for unit 'pooledmm' (#fcl)

# TPooledMemManager.MaximumFreeCountRatio

Maximum ratio of free items over total items

## Declaration

Source position: pooledmm.pp line 57

`public property TPooledMemManager.MaximumFreeCountRatio: Integer read FMaxFreeRatio write SetMaxFreeRatio;`

## Description

MaximumFreeCountRatio is the maximum ratio (divided by 8) of free elements over the total amount of elements: When disposing an item in the list, if the number of free items is higher than this ratio, the item is freed.

The default value is 8.

## See also

TPooledMemManager.MinimumFreeCount |  | Minimum count of free items in the list

The latest version of this document can be found at lazarus-ccr.sourceforge.net .